Holger's Java API

## com.antelmann.util
Class ComparableString

    java.lang.Object
      com.antelmann.util.ComparableString

All Implemented Interfaces:
  Comparable<ComparableString>

    public class ComparableString

extends Object
implements Comparable<ComparableString>

a small utility class that provides a special object that is comparable independently of its display value

Since:
  24.02.2015, 23:03:43
Author:
  holger
See Also:
  `UniversalComparator`

Constructor Summary
`ComparableString(Object c, String d)`

Method Summary
`int` `compareTo(ComparableString o)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComparableString

    public ComparableString(Object c,
                            String d)

Parameters:
  `c` - comparison value
  `d` - display value

Method Detail

### compareTo

    public int compareTo(ComparableString o)

  Specified by:
    `compareTo` in interface `Comparable<ComparableString>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads